Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025913
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2014-03-05 22:572014-03-07 05:25
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision30630ff35104
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-02-28
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/162d8aefb9f2 [^]
Triggers an Emergency PackNo
Summary

0025913: The content of a field with reference "Time" cannot be deleted

DescriptionThe content of a field with reference "Time" cannot be deleted
Steps To ReproduceAs "Openbravo Admin"
* Go to "Process Request" window
* Create a new record with:
   - Timing: Schedule
   - Start Time: any valid value (fex: 03:00:00)
* Save
* Delete the content of "Start Time" input.
* Move the focus to any other input.
* Notice that the "Start Time" value is changed to 00:00UTC (converted to local time)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025914 newAugustoMauch Grid cannot filter by fields with "Time" reference 

-  Notes
(0064871)
dbaz (developer)
2014-03-05 23:09

The same issue also happens while trying to remove the written value of a filter.
(0064930)
hgbot (developer)
2014-03-06 16:22

Repository: erp/devel/pi
Changeset: 30630ff35104d4fe24751f8de45dbab630b6af0b
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Mar 06 16:22:11 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/30630ff35104d4fe24751f8de45dbab630b6af0b [^]

Fixed issue 25913: 'Time' inputs content now can be erased

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
---
(0064932)
alostale (developer)
2014-03-06 16:45

Code reviewed + tested for absolute and relative time references in grid, form and filters
(0064947)
hudsonbot (developer)
2014-03-07 05:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9364dd72aca6 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-05 22:57 dbaz New Issue
2014-03-05 22:57 dbaz Assigned To => dbaz
2014-03-05 22:57 dbaz Modules => Core
2014-03-05 22:57 dbaz Triggers an Emergency Pack => No
2014-03-05 22:59 dbaz Relationship added related to 0025574
2014-03-05 23:04 dbaz Relationship deleted related to 0025574
2014-03-05 23:05 dbaz Regression level => Pre packaging ( pi )
2014-03-05 23:05 dbaz Regression date => 2014-02-28
2014-03-05 23:05 dbaz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/162d8aefb9f2 [^]
2014-03-05 23:09 dbaz Note Added: 0064871
2014-03-05 23:14 dbaz Relationship added related to 0025914
2014-03-06 16:20 dbaz Review Assigned To => alostale
2014-03-06 16:20 dbaz Issue Monitored: alostale
2014-03-06 16:22 hgbot Checkin
2014-03-06 16:22 hgbot Note Added: 0064930
2014-03-06 16:22 hgbot Status new => resolved
2014-03-06 16:22 hgbot Resolution open => fixed
2014-03-06 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/30630ff35104d4fe24751f8de45dbab630b6af0b [^]
2014-03-06 16:45 alostale Note Added: 0064932
2014-03-06 16:45 alostale Status resolved => closed
2014-03-06 16:45 alostale Fixed in Version => PR14Q2
2014-03-07 05:25 hudsonbot Checkin
2014-03-07 05:25 hudsonbot Note Added: 0064947


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker